xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2016 Kurt Dietrich
License | BSD-style (see xmonad/LICENSE)
Maintainer | kurto@mac.com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.SortedLayout

Contents

- Usage:

Description

A `LayoutModifier` that sorts the windows in another layout, given a list of properties. The order of properties in the list determines the order of windows in the final layout. Any unmatched windows go to the end of the order.

Synopsis

- sorted :: [Property] -> l a -> ModifiedLayout SortedLayout l a
- data Property
  - = Title String
  - | ClassName String
  - | Resource String
  - | Role String
  - | Machine String
  - | And Property Property
  - | Or Property Property
  - | Not Property
  - | Const Bool
  - | Tagged String

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.SortedLayout

Then edit your `layoutHook` to sort another layout (in this case, `Grid`):

    myLayout = sorted [ClassName "Firefox", ClassName "URxvt"] Grid
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

sorted :: [Property] -> l a -> ModifiedLayout SortedLayout l a #

Modify a layout using a list of properties to sort its windows.

data Property #

Most of the property constructors are quite self-explaining.

Constructors

Title String |
ClassName String |
Resource String |
Role String | WM_WINDOW_ROLE property
Machine String | WM_CLIENT_MACHINE property
And Property Property infixr 9 |
Or Property Property infixr 8 |
Not Property |
Const Bool |
Tagged String | Tagged via `TagWindows`

#### Instances

Instances details

Read Property # |
Instance details Defined in XMonad.Util.WindowProperties Methods readsPrec :: Int -> ReadS Property # readList :: ReadS [Property] # readPrec :: ReadPrec Property readListPrec :: ReadPrec [Property]
Show Property # |
Instance details Defined in XMonad.Util.WindowProperties Methods showsPrec :: Int -> Property -> ShowS # show :: Property -> String # showList :: [Property] -> ShowS #
Predicate Property Window # |
Instance details Defined in XMonad.Layout.LayoutBuilder Methods alwaysTrue :: Proxy Window -> Property # checkPredicate :: Property -> Window -> X Bool #
Predicate Property Window # |
Instance details Defined in XMonad.Layout.LayoutBuilderP Methods alwaysTrue :: Proxy Window -> Property # checkPredicate :: Property -> Window -> X Bool #